GET
/v1/schedule

Everything on the Calendar from 30 days ago to 30 days ahead: what your agents made and proposed times for, what's scheduled, what went out, and what failed. Filter with status.

Authorization

apiKey
headerAuthorizationBearer <token>

API key for authenticating protected endpoints. Pass as Bearer token in Authorization header.

Query Parameters

status?string

Only entries in this state

Value in"needs_approval""scheduled""failed""published"

Response Body

200

application/json
  1. response
items*array<>
curl -X GET "https://example.com/v1/schedule"
{  "items": [    {      "id": "string",      "contentId": "string",      "kind": "post",      "channel": "string",      "status": "unplanned",      "needsApproval": true,      "publishAt": "string",      "publishedAt": "string",      "failureReason": "string",      "holdReason": "string",      "accountId": "string",      "accountLabel": "string",      "entryRevision": 0,      "title": "string",      "preview": "string",      "url": "string",      "contentRevision": "string"    }  ]}